choose language

Viewing

Which devices are compatible with the Withings Go?

Compatible OS

  • iOS 7.0 or higher
  • Android 4.3 or higher

Compatible Devices

  • iPhone 4s or higher
  • iPod Touch 5th Generation
  • iPad (3rd Generation or higher, as well as any iPad Mini)
  • BLE (Bluetooth low Energy) compatible Android devices

The following Android devices are not compatible with the Withings Go:

Wiko: 
All devices
LG: 


G3 Stylus (LG-D690)
Bello (LG-D331)
L50 (LG-D213)
Blackberry:          All devices
Landvo:  L200G
Huawei: 

HONOR 3X (G750-T00)
HONOR HOLY (Hol-U19
Doro: 

Liberto 820
Liberto 820 mini
THL:  THL 5000
Zopo:  Zopo ZP320
Archos:

50c Oxygen
40c Titanium
iOcean: X8 Mini PRO
Komu:  KOMU ENERGY
UMI ZERO:  UMI ZERO
Kodak:  IM5
Logicom: L-EMENT 400
 Acer:  Liquid
 Kindle:  Kindle Fire

To know if your device is compatible, you can download the Withings Health Mate® app, open it, go to My devices, and see if the Withings Go is one of the devices that you can install. If you can't see it, your device is not compatible.

Was this article helpful?
16 out of 23 found this helpful
Submit a request